# Update Endpoint - UpdateEloSyncTargetById
Updates ELO sync target with the provided id.
# HTTP Request
One of the following requests should be made:
PUT /odata/elosynctargets({key})
PUT /odata/elosynctargets/{key}
# Path parameters
| Name | Description |
|---|---|
| key | required. Id of sync job elo sync target that should be updated. |
# Query parameters
| Name | Description |
|---|---|
| repository | optional. Destination repository key. |
# Request headers
| Name | Description |
|---|---|
| Authorization | required. Bearer {token}. See authorization |
| Content-Type | required. application/json |
# Request body
Information
Only properties with new values need to be specified, unmodified properties are optional and can be skipped.
Information
If readonly properties are specified the response will always be a 400 Bad Request error.
# Responses
| Code | Description | Type |
|---|---|---|
200 | Returns the updated sync job elo sync target. | EloSystemSyncTargetEntity |
400 | If update contains data for properties which values are immutable, if no data for the update could be loaded from the request or provided request data is invalid. | |
500 | When an server error occurs during the update of sync job elo sync target. |
# Example
# Request
The following is an example of how to call the endpoint:
PUT /odata/elosynctargets(1)?repository=repo1
Content-Type: application/json
{
"eloSystemSyncTargetId": 2,
"folderName": "DriveMe",
"folderId": "14535"
}
# Response
The following example shows the response:
Information
The response object is truncated for clarity. Default properties will be returned from the call.
{
"eloSystemSyncTargetId": 2,
"folderName": "DriveMe",
"folderId": "14535"
}